optoKummenberg

Loading...
Searching...
No Matches
optoKummenberg.registers.MiscSystems.VectorPatternMemory Class Reference
Inheritance diagram for optoKummenberg.registers.MiscSystems.VectorPatternMemory:

## Public Member Functions
| __init__ (self, board=None)
| SetPattern (self, index, vector)
| GetPattern (self, index, count)
| SetPatternSegment (self, index, vector)
| GetPatternSegment (self, int index, int count)
| GetProxyValidity (self)
| SaveVectorMemory (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| __init__ (self, int or None channel=None, board=None)
| set_register (self, str or int register_name_or_id, value, bool set_internal=False)
| set_register_id (self, int register_id, value, type=None)
| get_register (self, str or int register_name_or_id)
| get_register_id (self, int register_id)
| get_register_names (self)

## Public Attributes
int | sys_id = 0x26
dict | proxy_valid
dict | vector = {'id': self.sys_id << 8, 'type': float}
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name = self.__class__.__name__
| register_list = self._get_register_list()

## Protected Attributes
bool | _readonly = False
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel = channel
| _board = board

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
| _get_register_list (self)
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Device Functionality - Vector Pattern Memory
    System ID: 0x26

    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+
    | Register Name             | Id   | Type        | Unit | Range | Default | Comment                                   |
    +===========================+======+=============+======+=======+=========+===========================================+
    | proxy_valid               | 0x00 |float 32-bit |None  |       |         |                                           |
    +---------------------------+------+-------------+------+-------+---------+-------------------------------------------+

## Constructor & Destructor Documentation

## ◆ __init__()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.__init__ | ( |  | self,
|  |  | board = None )

## Member Function Documentation

## ◆ GetPattern()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPattern | ( |  | self,
|  |  | index,
|  |  | count )

## ◆ GetPatternSegment()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetPatternSegment | ( |  | self,
|  | int | index,
|  | int | count )

## ◆ GetProxyValidity()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.GetProxyValidity | ( |  | self | ) |

## ◆ SaveVectorMemory()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SaveVectorMemory | ( |  | self | ) |

## ◆ SetPattern()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPattern | ( |  | self,
|  |  | index,
|  |  | vector )

## ◆ SetPatternSegment()

optoKummenberg.registers.MiscSystems.VectorPatternMemory.SetPatternSegment | ( |  | self,
|  |  | index,
|  |  | vector )

## Member Data Documentation

## ◆ _readonly

bool optoKummenberg.registers.MiscSystems.VectorPatternMemory._readonly = False
| protected

## ◆ proxy_valid

dict optoKummenberg.registers.MiscSystems.VectorPatternMemory.proxy_valid

Initial value:
= {'id': self.sys_id << 8 | 0x00,
'type': int,
'unit': None,
'range': [0, 1],
'default': False,
'value': False}

## ◆ sys_id

int optoKummenberg.registers.MiscSystems.VectorPatternMemory.sys_id = 0x26

## ◆ vector

optoKummenberg.registers.MiscSystems.VectorPatternMemory.vector = {'id': self.sys_id << 8, 'type': float}

The documentation for this class was generated from the following file:

- C:/git/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/MiscSystems.py